{% if groceryitem_list %}
<ul>
  {% for groceryitem in groceryitem_list %}
  <li>
    <a href="/{{groceryitem_id}}">{{groceryitem.item_name}}</a>
  </li>
  {% endfor %}
</ul>
{% else %}
<p>No grocery items found.</p>
{% endif %}
